var app_angular = angular.module('B2C', [ 'ionic', 'ngRoute', 'ngTouch', 'infinite-scroll', 'pascalprecht.translate', 'ionic-timepicker', 'ionic-datepicker'])
     .config(function($stateProvider,$urlRouterProvider,$routeProvider,$ionicConfigProvider,$httpProvider,$translateProvider,$controllerProvider, $compileProvider, $filterProvider,$provide, ionicTimePickerProvider, ionicDatePickerProvider){
        $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded;charset=utf-8';
        $ionicConfigProvider.views.swipeBackEnabled(false);
         ionicDatePickerProvider.configDatePicker({
             inputDate: new Date(),
             setLabel: '选择',
             todayLabel: '今天',
             closeLabel: '关闭',
             mondayFirst: false,
             weeksList: ["日", "一", "二", "三", "四", "五", "六"],
             monthsList: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"],//["Jan", "Feb", "March", "April", "May", "June", "July", "Aug", "Sept", "Oct", "Nov", "Dec"]
             templateType: 'popup',
             from: new Date(2018, 1, 1),
             to: new Date(2025, 1, 1),
             showTodayButton: true,
             dateFormat: 'yyyy-MM-dd',
             closeOnSelect: false
         });
         ionicTimePickerProvider.configTimePicker({
             inputTime: (((new Date()).getHours() * 60 * 60) + ((new Date()).getMinutes() * 60)),
             format: 12,
             step: 15,
             setLabel: '选择',
             closeLabel: '关闭'
         });
        /**
        * The workhorse; converts an object to x-www-form-urlencoded serialization.
        * @param {Object} obj
        * @return {String}
        */
        var param = function(obj) {
            var query = '', name, value, fullSubName, subName, subValue, innerObj, i;
            for(name in obj) {
              value = obj[name];
              if(value instanceof Array) {
                for(i=0; i<value.length; ++i) {
                  subValue = value[i];
                  fullSubName = name + '[' + i + ']';
                  innerObj = {};
                  innerObj[fullSubName] = subValue;
                  query += param(innerObj) + '&';
                }
              }
              else if(value instanceof Object) {
                for(subName in value) {
                  subValue = value[subName];
                  fullSubName = name + '[' + subName + ']';
                  innerObj = {};
                  innerObj[fullSubName] = subValue;
                  query += param(innerObj) + '&';
                }
              }
              else if(value !== undefined && value !== null)
                query += encodeURIComponent(name) + '=' + encodeURIComponent(value) + '&';
            }
            return query.length ? query.substr(0, query.length - 1) : query;
        };
        $httpProvider.defaults.transformRequest = [function(data) {
            return angular.isObject(data) && String(data) !== '[object File]' ? param(data) : data;
        }];
        app_angular.register = {
            controller     : $controllerProvider.register,
            directive      : $compileProvider.directive,
            filter         : $filterProvider.register,
            factory        : $provide.factory,
            service        : $provide.service
        };
        app_angular.asyncjs = function (js) {
            return ["$q", "$route", "$rootScope", function($q, $route, $rootScope){
                var deferred = $q.defer();
                var dependencies = js;
                if (Array.isArray(dependencies)) {
                    for (var i = 0; i < dependencies.length; i++) {
                      dependencies[i] += app.version;
                    }
                } else {
                    dependencies +=app.version;//v是版本号
                }
                $script(dependencies, function () {
                    $rootScope.$apply(function () {
                        deferred.resolve();
                    });
                });
                return deferred.promise;
            }];
        };

        $httpProvider.interceptors.push('myInterceptor');
        $httpProvider.interceptors.push('timestampMarker');
        $urlRouterProvider.otherwise('/all');
        $stateProvider.state('all', {
            url: '/all',
            controller: 'allCtrl',
            templateUrl: 'templates/all.html'+app.version,
            controllerAs:"all",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/all.js'),
                loadcss: function(){
                    // app.loadcss(app.css.index_css+app.version);
                    app.loadcss(app.css.all_css+app.version);

                }
            }
        })
        .state('moneyIn', {
            url: '/moneyIn',
            controller: 'moneyInCtrl',
            templateUrl: 'templates/moneyIn.html'+app.version,
            controllerAs:"moneyIn",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/moneyIn.js'),
                loadcss: function(){
                    app.loadcss(app.css.moneyIn_css+app.version);
                }
            }
        })
        .state('buywater', {
            url: '/buywater',
            controller: 'buywaterCtrl',
            templateUrl: 'templates/buywater.html'+app.version,
            controllerAs:"buywater",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/buywater.js'),
                loadcss: function(){
                    app.loadcss(app.css.buywater_css+app.version);
                }
            }
        })
        .state('goodsbuy', {
            url: '/goodsbuy',
            controller: 'goodsbuyCtrl',
            templateUrl: 'templates/goodsbuy.html'+app.version,
            controllerAs:"goodsbuy",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/goodsbuy.js'),
                loadcss: function(){
                    app.loadcss(app.css.goodsbuy_css+app.version);
                }
            }
        })
        //@Author:  dev@yin-duo.com @DateTime:  2019-06-21 16:57:08 文章
        .state('article', {
            url: '/article',
            controller: 'articleCtrl',
            templateUrl: 'templates/article.html'+app.version,
            controllerAs:"article",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/article.js'),
                loadcss: function(){
                        app.loadcss(app.css.messagelistd_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                }
            }
        })
        .state('group', {
            url: '/group',
            controller: 'groupCtrl',
            templateUrl: 'templates/group.html'+app.version,
            controllerAs:"group",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/group.js'),
                loadcss: function(){
                    app.loadcss(app.css.group_css+app.version);
                }
            }
        })
		.state('moreCou', {
		    url: '/moreCou',
		    controller: 'moreCouCtrl',
		    templateUrl: 'templates/moreCou.html'+app.version,
		    controllerAs:"moreCou",
		    cache:false,
		    resolve: {
		        load: app_angular.asyncjs('js/controller/moreCou.js'),
		        loadcss: function(){
		            app.loadcss(app.css.moreCou_css+app.version);
		        }
		    }
		})
        .state('goGroup', {
            url: '/goGroup',
            controller: 'goGroupCtrl',
            templateUrl: 'templates/goGroup.html'+app.version,
            controllerAs:"goGroup",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/goGroup.js'),
                loadcss: function(){
                    app.loadcss(app.css.goGroup_css+app.version);
                }
            }
        })
        .state('pushCode', {
            url: '/pushCode',
            controller: 'pushCodeCtrl',
            templateUrl: 'templates/pushCode.html'+app.version,
            controllerAs:"pushCode",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/pushCode.js'),
                loadcss: function(){
                    app.loadcss(app.css.pushCode_css+app.version);
                }
            }
        })
        .state('destop', {
            url: '/destop',
            controller: 'destopCtrl',
            templateUrl: 'templates/destop.html'+app.version,
            controllerAs:"destop",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/destop.js'),
                loadcss: function(){
                    app.loadcss(app.css.my_cash_coupon_css+app.version);
                }
            }
        })

		.state('backOrder', {
		    url: '/backOrder',
		    controller: 'backOrderCtrl',
		    templateUrl: 'templates/backOrder.html'+app.version,
		    controllerAs:"backOrder",
		    cache:false,
		    resolve: {
		        load: app_angular.asyncjs('js/controller/backOrder.js'),
		        loadcss: function(){
		            app.loadcss(app.css.backOrder_css+app.version);
		        }
		    }
		})
        .state('paySucc', {
            url: '/paySucc',
            controller: 'paySuccCtrl',
            templateUrl: 'templates/paySucc.html'+app.version,
            controllerAs:"paySucc",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/paySucc.js'),
                loadcss: function(){
                    app.loadcss(app.css.paySucc_css+app.version);
                }
            }
        })
        .state('login', {
            url: '/login',
            controller: 'loginCtrl',
            templateUrl: 'templates/login.html'+app.version,
            controllerAs:"login",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/login.js'),
                loadcss: function(){
                    app.loadcss(app.css.login_css+app.version);
                    app.loadjs(app.js.md5_js+app.version);
                }
            }
        })
        .state('otherLogin', {
            url: '/otherLogin',
            controller: 'otherLoginCtrl',
            templateUrl: 'templates/otherLogin.html'+app.version,
            controllerAs:"otherLogin",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/otherLogin.js'),
                loadcss: function(){
                    app.loadcss(app.css.otherLogin_css+app.version);
                    app.loadjs(app.js.md5_js+app.version);
                }
            }
        })
        .state('register', {
            url: '/register',
            controller: 'registerCtrl',
            templateUrl: 'templates/register.html'+app.version,
            controllerAs:"register",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/register.js'),
                loadcss: function(){
                    app.loadcss(app.css.register_css+app.version);
                }
            }
        })
        .state('registerContact', {
            url: '/registerContact',
            controller: 'registerContactCtrl',
            templateUrl: 'templates/registerContact.html'+app.version,
            controllerAs:"registerContact",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/registerContact.js'),
                loadcss: function(){
                    app.loadcss(app.css.registerContact_css+app.version);
                }
            }
        })
        .state('list', {
            url: '/list',
            controller: 'listCtrl',
            templateUrl: 'templates/list.html'+app.version,
            controllerAs:"list",
            resolve:{
                load: app_angular.asyncjs('js/controller/list.js'),
                loadcss: function(){
                    // app.loadcss(app.css.index_css+app.version);
                    app.loadcss(app.css.list_css+app.version);
                }
            }
        })
        .state('boot', {
            url: '/boot',
            controller: 'bootCtrl',
            templateUrl: 'templates/boot.html'+app.version,
            controllerAs:"boot",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/boot.js'),
                loadcss:function(){
                    // app.loadcss(app.css.index_css+app.version);
                    app.loadjs(app.js.swiper_min_js+app.version);
                    app.loadcss(app.css.swiper_min_css+app.version);
                }
            }
        })
        .state('category', {
            url: '/category',
            controller: 'categoryCtrl',
            templateUrl: 'templates/category.html'+app.version,
            controllerAs:"category",
            cache:false,
            resolve:{
                load: app_angular.asyncjs('js/controller/category.js'),
                loadcss: function(){
                    app.loadcss(app.css.category_css+app.version);
                }
            }
        })
        .state('register_chn', {
            url: '/register_chn',
            controller: 'register_chnCtrl',
            templateUrl: 'templates/register_chn.html'+app.version,
            controllerAs:"register_chn",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/register_chn.js'),
                loadcss: function(){
                    app.loadcss(app.css.register_css+app.version);
                }
            }
        })
        .state('register_pwd', {
            url: '/register_pwd',
            controller: 'register_pwdCtrl',
            templateUrl: 'templates/register_pwd.html'+app.version,
            controllerAs:"register_pwd",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/register_pwd.js'),
                loadcss: function(){
                    app.loadcss(app.css.register_css+app.version);
                    app.loadjs(app.js.md5_js+app.version);
                }
            }
        })
        .state('product', {
            url: '/product',
            controller: 'productCtrl',
            templateUrl: 'templates/product.html'+app.version,
            controllerAs:"product",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/product.js'),
                loadcss: function(){
                    app.loadcss(app.css.product_css+app.version);
                }
            }
        })
        .state('cart', {
            url: '/cart',
            controller: 'cartCtrl',
            templateUrl: 'templates/cart.html'+app.version,
            controllerAs:"cart",
            cache:false,
            resolve: {
                load:app_angular.asyncjs('js/controller/cart.js'),
                loadcss:function(){
                    app.loadcss(app.css.cart_css+app.version);
                }
            }
        })
        .state('member', {
            url: '/member',
            controller: 'memberCtrl',
            templateUrl: 'templates/member.html'+app.version,
            controllerAs:"member",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/member.js'),
                loadcss: function(){
                    app.loadcss(app.css.member_css+app.version);
                }
            }
        })
        .state('search', {
            url: '/search',
            controller: 'searchCtrl',
            templateUrl: 'templates/search.html'+app.version,
            controllerAs:"search",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/search.js'),
                loadcss: function(){
                    app.loadcss(app.css.search_css+app.version);
                }
            }
        })
        .state('forget_phone', {
            url: '/forget_phone',
            controller: 'forget_phoneCtrl',
            templateUrl: 'templates/forget_phone.html'+app.version,
            controllerAs:"forget_phone",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/forget_phone.js'),
                loadcss: function(){
                    app.loadcss(app.css.forget_css+app.version);
                }
            }
        })

        .state('reset_password', {
            url: '/reset_password',
            controller: 'reset_passwordCtrl',
            templateUrl: 'templates/reset_password.html'+app.version,
            controllerAs:"reset_password",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/reset_password.js'),
                loadcss: function(){
                    app.loadcss(app.css.reset_password_css+app.version);
                }
            }
        })

        .state('forget', {
            url: '/forget',
            controller: 'forgetCtrl',
            templateUrl: 'templates/forget.html'+app.version,
            controllerAs:"forget",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/forget.js'),
                loadcss: function(){
                    app.loadcss(app.css.forget_css+app.version);
                }
            }
        })
        .state('orders:orders_type', {
            url: '/orders:orders_type',
            controller: 'ordersCtrl',
            templateUrl: 'templates/orders.html'+app.version,
            controllerAs:"orders",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/orders.js'),
                loadcss: function(){
                    app.loadcss(app.css.orders_css+app.version);
                }
            }
        })
        .state('order_detail', {
            url: '/order_detail',
            controller: 'orderDetailCtrl',
            templateUrl: 'templates/ordersDetail.html'+app.version,
            controllerAs:"orderDetail",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/orderDetail.js'),
                loadcss: function(){
                    app.loadcss(app.css.ordersDetail_css+app.version);
                }
            }
        })
        .state('choose_pay', {
            url: '/choose_pay',
            controller: 'choose_payCtrl',
            templateUrl: 'templates/choose_pay.html'+app.version,
            controllerAs:"choose_pay",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/choose_pay.js'),
                loadcss: function(){
                    app.loadcss(app.css.choose_pay_css+app.version);
                }
            }
        })

        .state('coupon_pay', {
            url: '/coupon_pay',
            controller: 'coupon_payCtrl',
            templateUrl: 'templates/coupon_pay.html'+app.version,
            controllerAs:"coupon_pay",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/coupon_pay.js'),
                loadcss: function(){
                    app.loadcss(app.css.coupon_pay_css+app.version);
                }
            }
        })


        .state('share', {
            url: '/share',
            controller: 'shareCtrl',
            templateUrl: 'templates/share.html'+app.version,
            controllerAs:"share",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/share.js'),
                loadcss: function(){
                    app.loadcss(app.css.share_css+app.version);
                }
            }
        })
        
        .state('choose_way', {
            url: '/choose_way',
            controller: 'choose_wayCtrl',
            templateUrl: 'templates/choose_way.html'+app.version,
            controllerAs:"choose_way",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/choose_way.js'),
                    loadcss: function(){
                        app.loadcss(app.css.choose_way_css+app.version);
                    }
                }
        })
        .state('address', {
            url: '/address',
            controller: 'addressCtrl',
            templateUrl: 'templates/address.html'+app.version,
            controllerAs:"address",
            cache:false,
            resolve:{
                load: app_angular.asyncjs('js/controller/address.js'),
                loadcss: function(){
                    app.loadcss(app.css.address_css+app.version);
                }
            }
        })
        .state('my_address', {
            url: '/my_address',
            controller: 'my_addressCtrl',
            templateUrl: 'templates/my_address.html'+app.version,
            controllerAs:"my_address",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/my_address.js'),
                loadcss: function(){
                    app.loadcss(app.css.my_address_css+app.version);
                }
            }
        })
        .state('confirmOrder', {
            url: '/confirmOrder',
            controller: 'confirmOrderCtrl',
            templateUrl: 'templates/confirmOrder.html'+app.version,
            controllerAs:"confirmOrder",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/confirmOrder.js'),
                loadcss: function(){
                    app.loadcss(app.css.confirmOrder_css+app.version);
                }
            }
        })
        .state('my_message', {
            url: '/my_message',
            controller: 'my_messageCtrl',
            templateUrl: 'templates/my_message.html'+app.version,
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/my_message.js'),
                loadcss: function(){
                    app.loadcss(app.css.my_message_css+app.version);
                }
            },
            cache:false,

        })
        .state('my_collection', {
            url: '/my_collection',
            controller: 'my_collectionCtrl',
            templateUrl: 'templates/my_collection.html'+app.version,
            controllerAs:"my_collection",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/my_collection.js'),
                    loadcss: function(){
                        app.loadcss(app.css.my_collection_css+app.version);
                    }
                }
        })
        .state('update_password', {
            url: '/update_password',
            controller: 'update_passwordCtrl',
            templateUrl: 'templates/update_password.html'+app.version,
            controllerAs:"update_password",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/update_password.js'),
                    loadcss: function(){
                        app.loadcss(app.css.update_password_css+app.version);
                    }
                }
        })
        .state('coupon', {
            url: '/coupon',
            controller: 'couponCtrl',
            templateUrl: 'templates/coupon.html'+app.version,
            controllerAs:"coupon",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/coupon.js'),
                    loadcss: function(){
                        app.loadcss(app.css.coupon_css+app.version);
                    }
                }
        })
        .state('coupon_list', {
            url: '/coupon_list',
            controller: 'coupon_listCtrl',
            templateUrl: 'templates/coupon_list.html'+app.version,
            controllerAs:"coupon_list",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/coupon_list.js'),
                loadcss: function(){
                    app.loadcss(app.css.coupon_list_css+app.version);
                }
            }
        })
        .state('editAddrs', {
            url: '/editAddrs',
            controller: 'editAddrsCtrl',
            templateUrl: 'templates/editAddrs.html'+app.version,
            controllerAs:"editAddrs",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/editAddrs.js'),
                    loadcss: function(){
                        app.loadcss(app.css.editAddrs_css+app.version);
                    }
                }
        })
        .state('my_editAddrs', {
            url: '/my_editAddrs',
            controller: 'my_editAddrsCtrl',
            templateUrl: 'templates/my_editAddrs.html'+app.version,
            controllerAs:"my_editAddrs",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/my_editAddrs.js'),
                    loadcss: function(){
                        app.loadcss(app.css.my_editAddrs_css+app.version);
                    }
                }
        })
        .state('addAddrs', {
            url: '/addAddrs',
            controller: 'addAddrsCtrl',
            templateUrl: 'templates/addAddrs.html'+app.version,
            controllerAs:"addAddrs",
            cache:false,
            resolve:{
                    load: app_angular.asyncjs('js/controller/addAddrs.js'),
                    loadass :function(){
                        app.loadcss(app.css.editAddrs_css+app.version);
                    }
                }
        })
        .state('my_addAddrs', {
            url: '/my_addAddrs',
            controller: 'my_addAddrsCtrl',
            templateUrl: 'templates/my_addAddrs.html'+app.version,
            controllerAs:"my_addAddrs",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/my_addAddrs.js'),
                    loadcss: function(){
                        app.loadcss(app.css.my_editAddrs_css+app.version);
                    }
                }
        })
        .state('delivery', {
            url: '/delivery',
            controller: 'deliveryCtrl',
            templateUrl: 'templates/delivery.html'+app.version,
            controllerAs:"delivery",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/delivery.js'),
                    loadcss: function(){
                        app.loadcss(app.css.my_editAddrs_css+app.version);
                    }
                }
        })
        .state('cash_coupon', {
            url: '/cash_coupon',
            controller: 'cash_couponCtrl',
            templateUrl: 'templates/cash_coupon.html'+app.version,
            controllerAs:"cash_coupon",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/cash_coupon.js'),
                    loadcss: function(){
                        app.loadcss(app.css.cash_coupon_css+app.version);
                    }
                }
        })
        .state('my_cash_coupon', {
            url: '/my_cash_coupon',
            controller: 'my_cash_couponCtrl',
            templateUrl: 'templates/my_cash_coupon.html'+app.version,
            controllerAs:"my_cash_coupon",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/my_cash_coupon.js'),
                    loadcss: function(){
                        app.loadcss(app.css.my_cash_coupon_css+app.version);
                    }
                }
        })
        .state('pay_order', {
            url: '/pay_order',
            controller: 'pay_orderCtrl',
            templateUrl: 'templates/pay_order.html'+app.version,
            controllerAs:"pay_order",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/pay_order.js'),
                    loadcss: function(){
                        app.loadcss(app.css.pay_order_css+app.version);
                    }
                }
        })
        .state('pay_order2', {
            url: '/pay_order2',
            controller: 'pay_order2Ctrl',
            templateUrl: 'templates/pay_order2.html'+app.version,
            controllerAs:"pay_order2",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/pay_order2.js'),
                    loadcss: function(){
                        app.loadcss(app.css.pay_order_css+app.version);
                    }
                }
        })
        .state('finish_order', {
            url: '/finish_order',
            controller: 'finish_orderCtrl',
            templateUrl: 'templates/finish_order.html'+app.version,
            controllerAs:"finish_order",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/finish_order.js'),
                    loadcss: function(){
                        app.loadcss(app.css.pay_order_css+app.version);
                    }
                }
        })
        .state('customer_service_order', {
            url: '/customer_service_order',
            controller: 'customer_service_orderCtrl',
            templateUrl: 'templates/customer_service_order.html'+app.version,
            controllerAs:"customer_service_order",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/customer_service_order.js'),
                    loadcss: function(){
                        app.loadcss(app.css.customer_service_order_css+app.version);
                    }
                }
        })

        .state('orderfakui', {
            url: '/orderfakui',
            controller: 'orderfakuiCtrl',
            templateUrl: 'templates/orderfakui.html'+app.version,
            controllerAs:"orderfakui",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/orderfakui.js'),
                    loadcss: function(){
                        app.loadcss(app.css.orderfakui_css+app.version);
                    }
                }
        })
                
        .state('orderfakuilist', {
            url: '/orderfakuilist',
            controller: 'orderfakuilistCtrl',
            templateUrl: 'templates/orderfakuilist.html'+app.version,
            controllerAs:"orderfakuilist",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/orderfakuilist.js'),
                    loadcss: function(){
                        app.loadcss(app.css.orderfakuilist_css+app.version);
                    }
                }
        }) 

        // /*反馈*/
        // .state('customer_service', {
        //     url: '/customer_service',
        //     controller: 'customer_serviceCtrl',
        //     templateUrl: 'templates/customer_service.html'+app.version,
        //     controllerAs:"customer_service",
        //     cache:false,
        //     resolve: {
        //             load: app_angular.asyncjs('js/controller/customer_service.js'),
        //             loadcss: function(){
        //                 app.loadcss(app.css.customer_service_css+app.version);
        //             }
        //         }
        // })
        //  /*反馈列表*/
        // .state('customer_service_list', {
        //     url: '/customer_service_list',
        //     controller: 'customer_service_listCtrl',
        //     templateUrl: 'templates/customer_service_list.html'+app.version,
        //     controllerAs:"customer_service_list",
        //     cache:false,
        //     resolve: {
        //             load: app_angular.asyncjs('js/controller/customer_service_list.js'),
        //             loadcss: function(){
        //                 app.loadcss(app.css.customer_service_list_css+app.version);
        //             }
        //         }
        // })

         /*购物车压桶说明*/
        .state('barrel', {
            url: '/barrel',
            controller: 'barrelCtrl',
            templateUrl: 'templates/barrel.html'+app.version,
            controllerAs:"barrel",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/barrel.js'),
                    loadcss: function(){
                        app.loadcss(app.css.barrel_css+app.version);
                    }
                }
        })


        .state('fail_link', {
            url: '/fail_link',
            controller: 'fail_linkCtrl',
            templateUrl: 'templates/fail_link.html'+app.version,
            controllerAs:"fail_link",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/fail_link.js'),
                    loadcss: function(){
                        app.loadcss(app.css.fail_link_css+app.version);
                    }
                }
        })
        .state('select_region', {
            url: '/select_region',
            controller: 'select_regionCtrl',
            templateUrl: 'templates/select_region.html'+app.version,
            controllerAs:"select_region",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/select_region.js'),
                    loadcss: function(){
                        app.loadcss(app.css.select_region_css+app.version);
                    }
                }
        })
        .state('logistics', {
            url: '/logistics',
            controller: 'logisticsCtrl',
            templateUrl: 'templates/logistics.html'+app.version,
            controllerAs:"logistics",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/logistics.js'),
                    loadcss: function(){
                        app.loadcss(app.css.logistics_css+app.version);
                    }
                }
        })
        .state('point', {
            url: '/point',
            controller: 'pointCtrl',
            templateUrl: 'templates/point.html'+app.version,
            controllerAs:"point",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/point.js'),
                    loadcss: function(){
                        app.loadcss(app.css.point_css+app.version);
                    }
                }
        })
        .state('record', {
            url: '/record',
            controller: 'recordCtrl',
            templateUrl: 'templates/record.html'+app.version,
            controllerAs:"record",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/record.js'),
                    loadcss: function(){
                        app.loadcss(app.css.record_css+app.version);
                    }
                }
        })
        .state('sys_message', {
            url: '/sys_message',
            controller: 'sys_messageCtrl',
            templateUrl: 'templates/sys_message.html'+app.version,
            controllerAs:"sys_message",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/sys_message.js'),
                    loadcss: function(){
                        app.loadcss(app.css.sys_message_css+app.version);
                    }
                }
        })
        .state('sys_message_list', {
            url: '/sys_message_list',
            controller: 'sys_message_listCtrl',
            templateUrl: 'templates/sys_message_list.html'+app.version,
            controllerAs:"sys_message_list",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/sys_message_list.js'),
                    loadcss: function(){
                        app.loadcss(app.css.sys_message_css+app.version);
                    }
                }
        })
        .state('sys_message_detail', {
            url: '/sys_message_detail',
            controller: 'sys_message_detailCtrl',
            templateUrl: 'templates/sys_message_detail.html'+app.version,
            controllerAs:"sys_message_detail",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/sys_message_detail.js'),
                    loadcss: function(){
                        app.loadcss(app.css.sys_message_detail_css+app.version);
                    }
                }
        })
        .state('sys_help', {
            url: '/sys_help',
            controller: 'sys_helpCtrl',
            templateUrl: 'templates/sys_help.html'+app.version,
            controllerAs:"sys_help",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/sys_help.js'),
                    loadcss: function(){
                        app.loadcss(app.css.sys_help_css+app.version);
                    }
                }
        })
        .state('sys_help_detail', {
            url: '/sys_help_detail',
            controller: 'sys_help_detailCtrl',
            templateUrl: 'templates/sys_help_detail.html'+app.version,
            controllerAs:"sys_help_detail",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/sys_help_detail.js'),
                    loadcss: function(){
                        app.loadcss(app.css.messagelistd_css+app.version);
                    }
                }
        })
        .state('about_us', {
            url: '/about_us',
            controller: 'about_usCtrl',
            templateUrl: 'templates/about_us.html'+app.version,
            controllerAs:"about_us",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/about_us.js'),
                    loadcss: function(){
                        app.loadcss(app.css.about_us_css+app.version);
                    }
                }
        })
        .state('message', {
            url: '/message',
            controller: 'messageCtrl',
            templateUrl: 'templates/message.html'+app.version,
            controllerAs:"message",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/message.js'),
                    loadcss: function(){
                        app.loadcss(app.css.message_css+app.version);
                    }
                }
        })
        .state('payment_manage', {
            url: '/payment_manage',
            controller: 'payment_manageCtrl',
            templateUrl: 'templates/payment_manage.html'+app.version,
            controllerAs:"payment_manage",
            cache:false,
            resolve: {
                    load: app_angular.asyncjs('js/controller/payment_manage.js'),
                    loadcss: function(){
                        app.loadcss(app.css.payment_manage+app.version);
                    }
                }
        })
        .state('setting', {
            url: '/setting',
            controller: 'settingCtrl',
            templateUrl: 'templates/setting.html'+app.version,
            controllerAs:"setting",
            cache:false,
            resolve: {
                load: app_angular.asyncjs('js/controller/setting.js'),
                loadcss: function(){
                    app.loadcss(app.css.setting_css+app.version);
                    app.loadjs(app.js.md5_js+app.version);
                }
            }
        })
            .state('firstOpen', {
                url: '/firstOpen',
                controller: 'firstOpenCtrl',
                templateUrl: 'templates/firstOpen.html'+app.version,
                controllerAs:"firstOpen",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/firstOpen.js'),
                    loadcss: function(){
                        app.loadcss(app.css.firstOpen_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('nowPay', {
                url: '/nowPay',
                controller: 'nowPayCtrl',
                templateUrl: 'templates/nowPay.html'+app.version,
                controllerAs:"nowPay",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/nowPay.js'),
                    loadcss: function(){
                        app.loadcss(app.css.nowPay_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('messagelist', {
                url: '/messagelist',
                controller: 'messagelistCtrl',
                templateUrl: 'templates/messagelist.html'+app.version,
                controllerAs:"messagelist",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/messagelist.js'),
                    loadcss: function(){
                        app.loadcss(app.css.messagelist_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('messagelistd', {
                url: '/messagelistd',
                controller: 'messagelistdCtrl',
                templateUrl: 'templates/messagelistd.html'+app.version,
                controllerAs:"messagelistd",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/messagelistd.js'),
                    loadcss: function(){
                        app.loadcss(app.css.messagelistd_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('integral', {
                url: '/integral',
                controller: 'integralCtrl',
                templateUrl: 'templates/integral.html'+app.version,
                controllerAs:"integral",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/integral.js'),
                    loadcss: function(){
                        app.loadcss(app.css.integral_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('jxth', {
                url: '/jxth',
                controller: 'jxthCtrl',
                templateUrl: 'templates/jxth.html'+app.version,
                controllerAs:"jxth",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/jxth.js'),
                    loadcss: function(){
                        app.loadcss(app.css.integral_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('xrzx', {
                url: '/xrzx',
                controller: 'xrzxCtrl',
                templateUrl: 'templates/xrzx.html'+app.version,
                controllerAs:"xrzx",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/xrzx.js'),
                    loadcss: function(){
                        app.loadcss(app.css.integral_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('integrald', {
                url: '/integrald',
                controller: 'integraldCtrl',
                templateUrl: 'templates/integrald.html'+app.version,
                controllerAs:"integrald",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/integrald.js'),
                    loadcss: function(){
                        app.loadcss(app.css.integrald_css+app.version);
                        app.loadjs(app.js.md5_js+app.version);
                    }
                }
            })
            .state('integralSigin', { // 积分签到
                url: '/integralSigin',
                controller: 'integralSiginCtrl',
                templateUrl: 'templates/integralSigin.html'+app.version,
                controllerAs:"integralSigin",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/integralSigin.js'),
                    loadcss: function(){
                        app.loadcss(app.css.integralSigin_css+app.version);
                    }
                }
            })
            .state('integralDetail', { // 积分签到详情
                url: '/integralDetail',
                controller: 'integralDetailCtrl',
                templateUrl: 'templates/integralDetail.html'+app.version,
                controllerAs:"integralDetail",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/integralDetail.js'),
                    loadcss: function(){
                        app.loadcss(app.css.integralDetail_css+app.version);
                    }
                }
            })
            .state('goodslimt', { // 积分签到详情
                url: '/goodslimt',
                controller: 'goodslimtCtrl',
                templateUrl: 'templates/goodslimt.html'+app.version,
                controllerAs:"goodslimt",
                cache:false,
                resolve: {
                    load: app_angular.asyncjs('js/controller/goodslimt.js'),
                    loadcss: function(){
                        app.loadcss(app.css.goodslimt_css+app.version);
                    }
                }
            });
         prefetchTemplate: false
    });
app_angular.filter('area', function(){
    return function(item){
        var arr = item.split(":");
        var result = arr[1].replace(/\//g,"");
        return result;
    };
});
app_angular.directive('onFinishRenderFilters', function ($timeout) {
    return {
        restrict: 'A',
        link: function(scope, element, attr) {
            if (scope.$last === true) {
                $timeout(function() {
                    scope.$emit('ngRepeatFinished');
                });
            }
        }
    };
});
app_angular.directive('mlHref', ['$location', function ($location) {
  return{
    restrict: 'A',
    link: function (scope, element, attr) {
      element.on('click', function(){
        if(attr.mlHref){
            location=attr.mlHref;
            scope.$apply();
          }
      });
    }
  };
}]);
